Skip to main content
POST
/
entities
/
site
/
onboard-site-and-asset
Onboard Site And Asset
curl --request POST \
  --url https://api-sandbox.axle.energy/entities/site/onboard-site-and-asset \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "site": {
    "mpan": "1234567890123",
    "postcode": "SW1A 1AA",
    "street_address": "10 Downing Street",
    "gave_boundary_meter_consent_at": "2025-01-01T12:00:00Z",
    "email": "test@example.com"
  },
  "asset": {
    "external_id": "charger-001",
    "type": "charger",
    "properties": {
      "power_kw": 7.4
    }
  },
  "dispatch_consent": {
    "dispatch_methods": [
      "limited_pause"
    ]
  }
}
'
import requests

url = "https://api-sandbox.axle.energy/entities/site/onboard-site-and-asset"

payload = {
"site": {
"mpan": "1234567890123",
"postcode": "SW1A 1AA",
"street_address": "10 Downing Street",
"gave_boundary_meter_consent_at": "2025-01-01T12:00:00Z",
"email": "test@example.com"
},
"asset": {
"external_id": "charger-001",
"type": "charger",
"properties": { "power_kw": 7.4 }
},
"dispatch_consent": { "dispatch_methods": ["limited_pause"] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
site: {
mpan: '1234567890123',
postcode: 'SW1A 1AA',
street_address: '10 Downing Street',
gave_boundary_meter_consent_at: '2025-01-01T12:00:00Z',
email: 'test@example.com'
},
asset: {external_id: 'charger-001', type: 'charger', properties: {power_kw: 7.4}},
dispatch_consent: {dispatch_methods: ['limited_pause']}
})
};

fetch('https://api-sandbox.axle.energy/entities/site/onboard-site-and-asset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "site": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "mpan": "<string>",
    "postcode": "<string>",
    "address": "<string>",
    "asset_ids": [],
    "markets": [],
    "dispatch_methods": [],
    "tariff": {
      "tariff_cheap_start_time": "<string>",
      "tariff_cheap_end_time": "<string>"
    },
    "gave_boundary_meter_consent_at": "2023-11-07T05:31:56Z"
  },
  "asset": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": "<string>",
    "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "properties": {
      "power_kw": 1,
      "capacity_kwh": 1
    }
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Request model for onboarding a site with an asset and dispatch consent in a single call.

site
Site · object
required

Site information

Example:
{
"mpan": "1234567890123",
"postcode": "SW1A 1AA",
"street_address": "10 Downing Street",
"gave_boundary_meter_consent_at": "2025-01-01T12:00:00Z",
"email": "test@example.com"
}
asset
Asset · object
required

Asset information

Example:
{
"external_id": "charger-001",
"type": "charger",
"properties": { "power_kw": 7.4 }
}

Dispatch consent methods

Example:
{ "dispatch_methods": ["limited_pause"] }

Response

Successfully onboarded site and asset

Response model for onboarding operation.

site
Site · object
required

Created site details

asset
Asset · object
required

Created asset details